#ifndef _NEWSKIT_XYO_BAR_GRAPH_PH_
#define _NEWSKIT_XYO_BAR_GRAPH_PH_

#include <X11/CoreP.h>

#include "BarGraph.h"

typedef struct {
  Pixel		foreground;	/* foreground pixel value */

  double	height;		/* height of bar (0 <= height <= 1) */
  Dimension	pix_height;	/* height of bar in pixels */
  GC		drawGC;
  GC		eraseGC;

  XtCallbackList	position_callbacks;	/* placement callbacks */ 
  XtCallbackList	motion_callbacks;	/* motion callbacks */ 
} BarGraphPart;


typedef struct _BarGraphRec {
	CorePart core;
	BarGraphPart graph;
} BarGraphRec;

typedef struct {
  int unused;
} BarGraphClassPart;

typedef struct _BarGraphClassRec {
	CoreClassPart core_class;
	BarGraphClassPart bar_graph_class;
} BarGraphClassRec;

extern BarGraphClassRec barGraphClassRec;

#endif /* _NEWSKIT_XYO_BAR_GRAPH_PH_ */
